Solved: ISPConfig when Debian migrate from PHP 5.6 to PHP 7

Discussion in 'Installation/Configuration' started by svandak, Jan 9, 2017.

  1. svandak

    svandak New Member

    Because its hard to find (It took me 3 days of trying everything) I want to share my experience with migrate ISPConfig 3 running on PHP 5.6 to PHP vertsion 7.
    I had some problems with dependencies and last thing resist me to migrate to newer PHP was ISPConfig (sure its a big thing on a live server).
    It is not necessary describe how to install PHP7 on actual debian, once it was done the ISPConfig webadmin returned only Error 500 (and it was not mentioned in error log).
    I tried lot of things such as upgrade ISPConfig to newer version (3.1) but error persist all the time. The thing which finally solved it was change the file /var/www/php-fcgi-scripts/ispconfig/.php-fcgi-starter . After upgrade of PHP version and also ISPConfig version there was still path on PHPRC somewhere into /etc/php5/cgi. So I found my php7.0-cgi is missing. And working solution was:

    apt-get install php7.0-cgi
    and after change .php-fcgi-starter to:
    PHPRC=/etc/php/7.0/cgi

    Everything is working now perfectly and whole server runs on newer PHP7 with ISPConfig 3.1. I hope it will help someone ;).
    Have a nice day
     
    sjau likes this.

Share This Page